Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
khanh phong

Nhờ Chỉnh Sửa Lại Vòng Lặp Và Lisp

Các bài được khuyến nghị

Nhờ các anh chỉnh lại vòng lặp giúp em, lisp dim kích thước dưới chỉ chạy trên 1 line em chọn, em chọn 2 line là chạy lung tung. Cám ơn nhiều

(defun c:SDF()
(if (setq ss (ssget))
(progn
(setq n (sslength ss)
	i 0)
(while (< i n)
(setq B (ssname ss i)
	A1 (getpoint "\nDiem 1 phuong dim: ")
	A2 (getpoint "\nDiem 2 phuong dim: ")
	C (getpoint "\nVi tri TEXT dim "))
(command "_line" A1 A2 "")
(setq L0 (entlast))
(command ".copy" L0 "" "0,0,0" "@")
(setq L00 (entlast))
(command ".rotate" L00 "" A1 "90")
(setq L1 (entlast))
(setq D1 (car(acet-geom-intersectwith L1 B 1)))
(setq D2 (car(acet-geom-intersectwith L1 L0 1)))
(command "_.dimaligned" D1 D2 C)
(command ".erase" L0 L1 "")
(setq i (+ 1 i))
))
(princ "\nKhong co duong line nao duoc chon !")
)
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn tim đến các lệnh (acet-geom-intersectwith L1 B 1) rồi sửa lại (acet-geom-intersectwith L1 B 3) , 1+2=3 là mở rộng cả 2 đối tượng. Sau khi kết thúc lệnh SDF Bạn cần phải khử biến, khi vẽ các line bằng lệnh command thì nên tắt osnap trước khi vẽ

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×